Name:           subtitleeditor
Version:        0.22.3
Release:        1%{?dist}
Summary:        GTK+2 tool to edit subtitles for GNU/Linux/*BSD

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://home.gna.org/subtitleeditor/
Source0:        http://download.gna.org/subtitleeditor/0.21/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-good
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  libglademm24-devel
BuildRequires:  libxml++-devel
BuildRequires:  pcre-devel

# For spell checking (Optional)
BuildRequires:  enchant-devel
# For OpenGL waveform renderer (Optional)
BuildRequires:  gtkglextmm-devel
# ISO-CODES 639 + 3166 (Optional)
BuildRequires:  iso-codes-devel

%description
Subtitle Editor is a GTK+2 tool to edit subtitles for GNU/Linux/*BSD. It can be 
used for new subtitles or as a tool to transform, edit, correct and refine 
existing subtitle. This program also shows sound waves, which makes it easier 
to synchronise subtitles to voices.

%prep
%setup -q


%build
%configure --enable-gl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor="fedora" --delete-original \
  --dir %{buildroot}%{_datadir}/applications             \
  --mode 0644                                            \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/man/man1/%{name}.1.gz

%changelog
* Fri Aug 22 2008 Martin Sourada <martin.sourada@gmail.com> - 0.22.3-1
- New upstream release
- Don't build with cppunit testing (rhbz #458607)

* Thu Jul 03 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.3-1
- New upstream release
 - Add option -f --file for open a file
 - Add MimeType in desktop file.
 - Update Czech translation
 - Fix: Play/Pause button
 - Fix: #10494 (upstream)

* Thu Jun 19 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.2-1
- New upstream release

* Wed May 28 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-3
- Enable unit testing

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-2
- Update the icon cache update scriplet to follow the packaging guidelines
- Add BR: gstreamer-plugins-good

* Tue May 27 2008 Martin Sourada <martin.sourada@gmail.com> - 0.21.1-1
- Initial Fedora RPM package

